Loading...
Searching...
No Matches
Gfx::CachedFont Struct Reference

Base TTF font with UTF-8 char cache. More...

## Public Member Functions

| CachedFont (std::unique_ptr< CSDLMemoryWrapper > fontFile, int pointSize)
| CachedFont (CachedFont &&other) noexcept
CachedFont & | operator= (CachedFont &&other) noexcept
| CachedFont (const CachedFont &other)=delete
CachedFont & | operator= (const CachedFont &other)=delete

## Public Attributes

std::unique_ptr< CSDLMemoryWrapper > | fontFile
TTF_Font * | font = nullptr
std::map< UTF8Char, CharTexture > | cache

## Detailed Description

Base TTF font with UTF-8 char cache.

The documentation for this struct was generated from the following file:

- src/graphics/engine/text.cpp